## org.gnu.gtk.event
Class AdjustmentEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.AdjustmentEvent

All Implemented Interfaces:
  java.io.Serializable

public class AdjustmentEvent
extends GtkEvent

An event represeting action by a `Adjustment` object.

See Also:
  `AdjustmentListener`, `Adjustment`, Serialized Form

Nested Class Summary
`static class` `AdjustmentEvent.Type`

Constructor Summary
`AdjustmentEvent(java.lang.Object source, EventType type)` Construct a AdjustmentEvent object.

Method Summary
`boolean` `isOfType(AdjustmentEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdjustmentEvent

    public AdjustmentEvent(java.lang.Object source,
                           EventType type)

  Construct a AdjustmentEvent object.

Method Detail

### isOfType

    public boolean isOfType(AdjustmentEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.